Subject: Re: [Gen-art] Russ's Discs on draft-ietf-pim-port [Was: Gen-ART Telechat review of draft-ietf-pim-port-09.txt]

From: Stig Venaas <[email-masked]>
Date: Mon, 05 Dec 2011 22:06:35 -0800

I think we should be all set then. Can the discuss be cleared then Russ?
See below.

Suresh, maybe you can confirm that you are happy ? At least I think
you are.

Stig

On 28.11.2011 11:07, Stig Venaas wrote:
> On 11/29/2011 10:18 AM, Suresh Krishnan wrote:
>> Hi Stig,
>>
>>
>> On 11/28/2011 12:59 PM, Stig Venaas wrote:
>>>> Please note that the Connection ID AFI in the PORT Hello Option does
>>>> not
>>>> need to match the address family of PIM Hello message that carries it.
>>>> e.g. an IPv6 PIM Hello message could contain a PORT Hello Option with a
>>>> TCP Connection ID AFI of 1 (IPv4).
>>>
>>> While I am OK with this text, wouldn't it be better to add this to 3.1
>>> and 3.2 where we formally define the hello options?
>>>
>>> My proposal would be:
>>>
>>> End of 3.1:
>>>
>>> OLD:
>>> TCP Connection ID AFI: The AFI value to describe the address-family
>>> of the address of the TCP Connection ID field. When this field is
>>> 0, a mechanism outside the scope of this document is used to
>>> obtain the addresses used to establish the TCP connection.
>>>
>>> NEW:
>>> TCP Connection ID AFI: The AFI value to describe the address-family
>>> of the address of the TCP Connection ID field. Note that this
>>> value does not need to match the address-family of the PIM Hello
>>> message that carries it. When this field is 0, a mechanism
>>> outside the scope of this document is used to obtain the
>>> addresses used to establish the TCP connection.
>>>
>>> End of 3.2:
>>>
>>> OLD:
>>> SCTP Connection ID AFI: The AFI value to describe the address-
>>> family of the address of the SCTP Connection ID field. When this
>>> field is 0, a mechanism outside the scope of this document is used
>>> to obtain the addresses used to establish the SCTP connection.
>>>
>>> NEW:
>>> SCTP Connection ID AFI: The AFI value to describe the address-
>>> family of the address of the SCTP Connection ID field. Note that
>>> this value does not need to match the address-family of the PIM
>>> Hello message that carries it. When this field is 0, a mechanism
>>> outside the scope of this document is used to obtain the
>>> addresses used to establish the SCTP connection.
>>>
>>> What do you think?
>>
>> This works great.
>
> Great, I hope we can then just add a note for the editor, and that the
> discuss can be cleared...
>
> Stig
>
>>
>> Thanks
>> Suresh
>

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 6 Dec 2011 17:46:05 -0500

> Suresh, maybe you can confirm that you are happy ? At least I think

Yes. This text change will resolve my concerns.

Thanks
Suresh